<div class="front_page_section front_page_section_about<?php
	$otaku_scheme = otaku_get_theme_option( 'front_page_about_scheme' );
	if ( ! empty( $otaku_scheme ) && ! otaku_is_inherit( $otaku_scheme ) ) {
		echo ' scheme_' . esc_attr( $otaku_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( otaku_get_theme_option( 'front_page_about_paddings' ) );
	if ( otaku_get_theme_option( 'front_page_about_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$otaku_css      = '';
		$otaku_bg_image = otaku_get_theme_option( 'front_page_about_bg_image' );
		if ( ! empty( $otaku_bg_image ) ) {
			$otaku_css .= 'background-image: url(' . esc_url( otaku_get_attachment_url( $otaku_bg_image ) ) . ');';
		}
		if ( ! empty( $otaku_css ) ) {
			echo ' style="' . esc_attr( $otaku_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$otaku_anchor_icon = otaku_get_theme_option( 'front_page_about_anchor_icon' );
	$otaku_anchor_text = otaku_get_theme_option( 'front_page_about_anchor_text' );
if ( ( ! empty( $otaku_anchor_icon ) || ! empty( $otaku_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_about"'
									. ( ! empty( $otaku_anchor_icon ) ? ' icon="' . esc_attr( $otaku_anchor_icon ) . '"' : '' )
									. ( ! empty( $otaku_anchor_text ) ? ' title="' . esc_attr( $otaku_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_about_inner
	<?php
	if ( otaku_get_theme_option( 'front_page_about_fullheight' ) ) {
		echo ' otaku-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$otaku_css           = '';
			$otaku_bg_mask       = otaku_get_theme_option( 'front_page_about_bg_mask' );
			$otaku_bg_color_type = otaku_get_theme_option( 'front_page_about_bg_color_type' );
			if ( 'custom' == $otaku_bg_color_type ) {
				$otaku_bg_color = otaku_get_theme_option( 'front_page_about_bg_color' );
			} elseif ( 'scheme_bg_color' == $otaku_bg_color_type ) {
				$otaku_bg_color = otaku_get_scheme_color( 'bg_color', $otaku_scheme );
			} else {
				$otaku_bg_color = '';
			}
			if ( ! empty( $otaku_bg_color ) && $otaku_bg_mask > 0 ) {
				$otaku_css .= 'background-color: ' . esc_attr(
					1 == $otaku_bg_mask ? $otaku_bg_color : otaku_hex2rgba( $otaku_bg_color, $otaku_bg_mask )
				) . ';';
			}
			if ( ! empty( $otaku_css ) ) {
				echo ' style="' . esc_attr( $otaku_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_about_content_wrap content_wrap">
			<?php
			// Caption
			$otaku_caption = otaku_get_theme_option( 'front_page_about_caption' );
			if ( ! empty( $otaku_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_about_caption front_page_block_<?php echo ! empty( $otaku_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( $otaku_caption, 'otaku_kses_content' ); ?></h2>
				<?php
			}

			// Description (text)
			$otaku_description = otaku_get_theme_option( 'front_page_about_description' );
			if ( ! empty( $otaku_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_about_description front_page_block_<?php echo ! empty( $otaku_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( wpautop( $otaku_description ), 'otaku_kses_content' ); ?></div>
				<?php
			}

			// Content
			$otaku_content = otaku_get_theme_option( 'front_page_about_content' );
			if ( ! empty( $otaku_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_content front_page_section_about_content front_page_block_<?php echo ! empty( $otaku_content ) ? 'filled' : 'empty'; ?>">
					<?php
					$otaku_page_content_mask = '%%CONTENT%%';
					if ( strpos( $otaku_content, $otaku_page_content_mask ) !== false ) {
						$otaku_content = preg_replace(
							'/(\<p\>\s*)?' . $otaku_page_content_mask . '(\s*\<\/p\>)/i',
							sprintf(
								'<div class="front_page_section_about_source">%s</div>',
								apply_filters( 'the_content', get_the_content() )
							),
							$otaku_content
						);
					}
					otaku_show_layout( $otaku_content );
					?>
				</div>
				<?php
			}
			?>
		</div>
	</div>
</div>
